// **********************************************************************
//
// Copyright (c) 2001 MT Tools.
//
// All Rights Reserved
//
// MT_DORB is based in part on the product DORB,
// written by Shadrin Victor
//
// See Readme.txt for contact information
//
// **********************************************************************
unit codeset_ref;

interface

uses
  types;

const
  TCodesets : array[0..4] of TCodesetInfo = (
    (id:$00010001;codepoint_size:1;max_codepoints:1;charsets:( $0011, 0,0,0,0 );desc:'ISO 8859-1:1987; Latin Alphabet No. 1';name:'osf00010001'),
    (id:$00010002;codepoint_size:1;max_codepoints:1;charsets:( $0012, 0,0,0,0 );desc:'ISO 8859-2:1987; Latin Alphabet No. 2';name:'osf00010002'),
    (id:$00010003;codepoint_size:1;max_codepoints:1;charsets:( $0013, 0,0,0,0 );desc:'ISO 8859-3:1987; Latin Alphabet No. 3';name:'osf00010003'),
    (id:$00010108;codepoint_size:1;max_codepoints:5;charsets:( $1000, 0,0,0,0 );desc:'ISO/IEC 10646-1:1993; UTF-1, UCS Transformation Format 1';name:'osf00010108'),
    (id:$00010109;codepoint_size:2;max_codepoints:2;charsets:( $1000, 0,0,0,0 );desc:'ISO/IEC 10646-1:1993; UTF-16, UCS Transformation Format 16-bit form';name:'osf00010109')
  );

implementation

end.
