// **********************************************************************
//
// Copyright (c) 2001 MT Tools.
//
// All Rights Reserved
//
// MT_DORB is based in part on the product DORB,
// written by Shadrin Victor
//
// See Readme.txt for contact information
//
// **********************************************************************
unit boa_int;

interface

uses
  orb_int,types,sysutils,ir_int,imr_int;

type

  IObjectRecord = interface;

  IBOA = interface(IObjectAdaptor)
  ['{AF662CA0-4D2E-11d4-9D27-204C4F4F5020}']
    function createrec(const id: string; const intdef: IInterfaceDef;
      const imrdef: IImplementationDef; const skel: IImplementationBase;
      const repoid: string): IORBObject;
    function get_record(const obj: IORBObject): IObjectRecord;
    function impl_name: string;
    function unique_id(out buffer: string): _ulong;
  end;

  IObjectRecord = interface
  ['{AF662CA1-4D2E-11d4-9D27-204C4F4F5020}']
    function local_obj: IORBObject;
    function remote_obj: IORBObject;
    function skel(): IORBObject;
    function id(): string;
  end;

implementation

end.
