// **********************************************************************
//
// Copyright (c) 2001 MT Tools.
//
// All Rights Reserved
//
// MT_DORB is based in part on the product DORB,
// written by Shadrin Victor
//
// See Readme.txt for contact information
//
// **********************************************************************
unit map_int;

interface

uses
  types;

type

  ILongInterfaceMap = interface
  ['{61252F5A-4D23-11d4-9D27-204C4F4F5020}']
    procedure Put(Key: _ulong;Item: IUnknown);
    function Get(Key: _ulong): IUnknown;
    procedure clear();
    procedure erase(Key: _ulong);
    function count(): integer;
    function IndexOf(Item: IUnknown): integer;
    function Items(Index: integer): IUnknown;
    property Item[Key: _ulong]: IUnknown read Get write Put; default;
  end;

  IInterfaceLongMap = interface
  ['{61252F5B-4D23-11d4-9D27-204C4F4F5020}']
    procedure Put(Key: IUnknown;Item: _ulong);
    function Get(Key: IUnknown): _ulong;
    function IndexOf(Key: IUnknown): integer;
    property Item[Key: IUnknown]: _ulong read Get write Put; default;
  end;

  IInterfaceInterfaceMap = interface
  ['{61252F5C-4D23-11d4-9D27-204C4F4F5020}']
    procedure Put(Key: IUnknown;Item: IUnknown);
    function Get(Key: IUnknown): IUnknown;
    function IndexOf(Key: IUnknown): integer;
    procedure Delete(Index: Integer);
    property Item[Key: IUnknown]: IUnknown read Get write Put; default;
  end;


implementation

end.
